1. student
LeksiGo v2
  • auth
    • login
      POST
    • register
      POST
    • logout
      POST
    • refresh token
      POST
  • child
    • get [parent]
      GET
    • post [parent]
      POST
    • get [insitution]
      GET
    • put [parent]
      PUT
    • delete [parent]
      DELETE
  • users [admin]
    • get
      GET
    • post
      POST
    • show
      GET
    • put
      PUT
    • delete
      DELETE
  • institution
    • get
      GET
    • post [admin]
      POST
    • show
      GET
    • updateStatus
      PATCH
    • get applicants [institution]
      GET
    • apply applicants [institution]
      POST
  • teacher [institution]
    • get
      GET
    • post
      POST
    • put
      PUT
    • updateStatus
      PATCH
  • playground
    • teacher
      • course
        • store
        • get
        • show
        • put
        • active status
      • modul
        • post
        • put
        • active status
        • show
    • student
      • submit answer
        POST
  • generate
    • question sugesstion
  1. student

submit answer

Developing
POST
/playgrounds/{playgroundId}/module/{moduleId}/submit

Request

Path Params

Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --globoff 'https://api.leksigo.com/api/v2/playgrounds/{{playgroundId}}/module/{{moduleId}}/submit' \
--header 'Authorization: Bearer {{accessToken}}' \
--header 'Content-Type: application/json' \
--data '{
    "answers": [
        {
            "questionId": "6a06935be2a5d896c5c710a8",
            "text": "Buku",
            "file": "storage/answers/audio-123.mp3",
            "timeOpened": "2023-10-27T10:00:00Z",
            "timeAnswered": "2023-10-27T10:00:15Z",
            "duration": "15s",
            "similarityPoint": "95"
        }
    ]
}'
Response Response Example
Exception
{
    "success": false,
    "message": "Validation error",
    "errors": {
        "answers": "Harus mengirimkan minimal satu jawaban"
    }
}
Modified at 2026-07-28 13:28:44
Previous
show
Next
question sugesstion
Built with